.block-button-icon {
    display: inline-flex;
    gap: 8px;
    align-items: center;
    justify-content: center;
}

.block-button-icon.icon-after {
    flex-direction: row-reverse;
}

.block-button-icon__icon {
    display: inline-block;
    flex-shrink: 0;
    width: 1.25em;
    height: 1.25em;
    vertical-align: middle;
}

svg.block-button-icon__icon {
    fill: currentcolor;
}

svg.block-button-icon__icon path,
svg.block-button-icon__icon circle,
svg.block-button-icon__icon rect {
    fill: currentcolor;
}

svg.block-button-icon__icon--masked {
    fill: none;
    background-color: currentcolor;
    -webkit-mask-image: var(--button-icon-image);
    mask-image: var(--button-icon-image);
    -webkit-mask-repeat: no-repeat;
    mask-repeat: no-repeat;
    -webkit-mask-position: center;
    mask-position: center;
    -webkit-mask-size: contain;
    mask-size: contain;
}

.block-button-icon__text {
    display: inline-block;
}